import React from 'react';
import styles from './styles.module.css'; 

export const Checkbox = ({ checked, onChange, id }) => {
  const handleChange = (e) => {
    console.log('Checkbox clicked, checked:', e.target.checked);
    if (onChange) {
      onChange(e);
    }
  };

  return (
    <div className={styles.check}>
      <input
        type="checkbox"
        id={`checkbox-${id}`}
        checked={checked}
        onChange={handleChange}
        className={styles.customCheckbox}
      />
    </div>
  );
};
